#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-GMP
Summary:	Math::BigInt::GMP - use the GMP library for Math::BigInt routines
Summary(pl.UTF-8):	Math::BigInt::GMP - wykorzystanie biblioteki GMP do funkcji Math::BigInt
Name:		perl-Math-BigInt-GMP
Version:	1.37
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d11bf69c0471e38191f33144079d0373
URL:		http://search.cpan.org/dist/Math-BigInt-GMP/
BuildRequires:	gmp-devel
BuildRequires:	perl-Math-BigInt >= 1.76
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.76
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::GMP provides support for big integer calculations via
means of the GMP C-library. Math::BigInt::GMP now no longer uses
Math::GMP, but provides it's own XS layer to access the GMP C-library.
This cuts out another (perl sub routine) layer and also reduces the
memory footprint by not loading Math::GMP and Carp at all.

%description -l pl.UTF-8
Math::BigInt::GMP dostarcza obsługę obliczeń na wielkich liczbach
całkowitych z wykorzystaniem funkcjonalności biblioteki C GMP. Moduł
ten już nie używa Math::GMP, ale dostarcza własną warstwę XS do
odwoływania się do biblioteki GMP w C. Dzięki temu nie ma kolejnej
warstwy (podprocedury Perla), a wykorzystanie pamięci jest mniejsze
dzięki nie wczytywaniu modułów Math::GMP i Carp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS LICENSE README TODO
%{perl_vendorarch}/Math/BigInt/GMP.pm
%dir %{perl_vendorarch}/auto/Math/BigInt/GMP
%{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.so
%{_mandir}/man3/*
%changelog
* Mon Jun 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-BigInt-GMP.git;a=log;h=master

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 4e2ba09
- up to 1.37

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a9d78a0
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 360f94e
- rel 5

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> b43e4e1
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 97911db
- release 3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9910ff4
- release 2

* Thu Apr 17 2008 radek <radek@pld-linux.org> 910f5db
- version 1.24

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 3018128
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ce4f53
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d63d924
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 006988d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 89628c4
- converted to UTF-8

* Wed Jun 01 2005 Jakub Bogusz <qboosh@pld-linux.org> 63f0ffc
- updated Math::BigInt deps

* Mon May 30 2005 petec <petec@pld-linux.org> 0b52029
- up to 1.18

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> b971aa3
- updated deps acc. to Makefile.PL (some tests fail with Math::BigInt 1.72)

* Wed Dec 01 2004 radek <radek@pld-linux.org> 4c99298
- autoupdated to 1.15

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e462768
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4ac5f1c
- fixed perl-devel BR

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> 1b14539
- license fixes, unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> aa36dad
- ported to new bconds

